Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.communication
Class D_GameInfo

    java.lang.Object
      de.farafin.snEADy.communication.D_GameInfo

    public final class D_GameInfo

extends java.lang.Object

Thats the class all modules should use to communicate with each other

Version:
  $Revision: 1.29 $
Author:
  roland, lars

Field Summary
`long` | `exitTime` the Time the exit accures (if 0 than it happends never)
`boolean` | `gameRunning` wether the game runs or not
`int` | `gameState`
`long` | `gameTime` the actual game time
`D_Level` | `level` Field arena
`D_PlayerData[]` | `playerData` Field playerData
`C_RecordFileReader` | `recordReader` if a game is replayed, here the file is stored
`C_RecordFileWriter` | `recordWriter` if the game should be recorded, here is the file it is safed to.
`long` | `suddenDeath` The beginning of the suddenDeath phasis (if 0 than it happends never)

Constructor Summary
`D_GameInfo()` default constructor
`D_GameInfo(D_GameInfo gameInfo)` copy constructor reference-copy of attrbutes: use copy() if you need a full copy
`D_GameInfo(D_Level level, D_PlayerData[] playerData, long gameTime, long exitTime, long sdTime, boolean running, int gameState)` create constructor

Method Summary
`void` | `addPlayerData(D_PlayerData pData)`
`java.lang.Object` | `clone()`
`void` | `copyOnMe(D_GameInfo gameInfo)` copys all data to the lokal instance. there is no new Instance created if all array sizes fit to each other
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### level

    public D_Level level

  Field arena

### playerData

    public D_PlayerData[] playerData

  Field playerData

### gameTime

    public long gameTime

  the actual game time

### suddenDeath

    public long suddenDeath

  The beginning of the suddenDeath phasis (if 0 than it happends never)

### exitTime

    public long exitTime

  the Time the exit accures (if 0 than it happends never)

### gameRunning

    public boolean gameRunning

  wether the game runs or not

### recordReader

    public C_RecordFileReader recordReader

  if a game is replayed, here the file is stored

### recordWriter

    public C_RecordFileWriter recordWriter

  if the game should be recorded, here is the file it is safed to.

### gameState

    public int gameState

Constructor Detail

### D_GameInfo

    public D_GameInfo()

  default constructor

### D_GameInfo

    public D_GameInfo(D_Level level,
                      D_PlayerData[] playerData,
                      long gameTime,
                      long exitTime,
                      long sdTime,
                      boolean running,
                      int gameState)

  create constructor

  Parameters:
    `level` -
    `playerData` -
    `gameTime` -
    `exitTime` -
    `sdTime` -
    `running` -
    `gameState` -

### D_GameInfo

    public D_GameInfo(D_GameInfo gameInfo)

  copy constructor reference-copy of attrbutes: use copy() if you need a full copy

  Parameters:
    `gameInfo` -

Method Detail

### copyOnMe

    public void copyOnMe(D_GameInfo gameInfo)

  copys all data to the lokal instance. there is no new Instance created if all array sizes fit to each other

  Parameters:
    `gameInfo` -

### addPlayerData

    public void addPlayerData(D_PlayerData pData)

  Parameters:
    `pData` - is added to the current array. its only a reference copy!

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD